%define module_name             thinkpad
%define module_version          4.8
%define module_release          alt2

%define kversion                2.4.22
%define krelease                alt17
%define flavour                 std-up

%define kgcc                    gcc-2.96
%define kgcc_package		gcc2.96

%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.17

Summary: IBM ThinkPad SMAPI BIOS drivers
License: GPL
Group: System/Kernel and hardware
URL: http://tpctl.sourceforge.net

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildPreReq: kernel-build-tools
BuildRequires: %kgcc_package
BuildRequires: modutils
BuildRequires: perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Drivers for IBM System Management Application Program Interface
(SMAPI) BIOS found in some IBM ThinkPad laptop computers.

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%__ln_s 2.4/drivers thinkpad/drivers
%__ln_s 2.4/include thinkpad/include

%build
%__make CC=%kcc KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%makeinstall MODULE_INSTALL_DIR=%buildroot/%module_dir \
	DOC_DIR=%buildroot/%_docdir/%name-%version-%release

%__install -D -m644 thinkpad/man/thinkpad.4 %buildroot%_man4dir/thinkpad.4

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%module_dir
%_docdir/%name-%version-%release
%_man4dir/*

%changelog
* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 4.8-alt2.17
- Imported to kernel CVS.
- Spec file adaptation for CVS build conventions.
- Removed superfluous %%doc from %%files.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sat Dec 06 2003 Grigory Batalov <bga@altlinux.ru> 4.8-alt1.12
- Initial release
